# Interface Puttable

#### Hierarchy

- Puttable
  - File
  - Tree

#### Implemented by

- default
- default

- Defined in fs/types.ts:107

#####
Index

### Methods

put
putDetailed

## Methods

### put

- put(): Promise<CID<unknown, number, number, Version>>

- #### Returns Promise<CID<unknown, number, number, Version>>

  - Defined in fs/types.ts:108

### putDetailed

- putDetailed(): Promise<PutResult>

- #### Returns Promise<PutResult>

  - Defined in fs/types.ts:109

Generated using TypeDoc